﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;

@{Layout = "~/Views/Shared/_Layout.cshtml";}

@Html.Partial("_PartialScriptPOSSInquiry")
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PopUp_POSSDetail";
    settings.CallbackRouteValues = new { Controller = "POSSInquiry", Action = "_CallPOSSDetail" };
    settings.ClientSideEvents.BeginCallback = "onBeginCallbackPopUp";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Fade;
    settings.Height = 250;
    settings.Width = 822;
    //settings.MinHeight = 250;
    // settings.MaxHeight = 850;
    // settings.AllowResize = true;
    //settings.ResizingMode = ResizingMode.Postponed;
    // settings.ShowSizeGrip = ShowSizeGrip.True;
    // settings.Height = System.Web.UI.WebControls.Unit.Pixel(450);
    //settings.Width = System.Web.UI.WebControls.Unit.Pixel(750);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "POSS Detail";

}).GetHtml()


<div style="padding:3px;"></div>
<div class="content" style = "padding:15px;">
<table border = "0" width="100%">
    <tr>
        <td style = "width: 9%">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Order Date From";
                    
                    
            }).GetHtml()
         </td>
         <td style = "width: 7%">
         @Html.DevExpress().DateEdit(
              settings =>
            {
                settings.Name = "OrderDateFrom";
                settings.Width = 95;
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.ReadOnly = false;
                settings.Properties.UseMaskBehavior = true;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.ClientSideEvents.ValueChanged = "OrderFrom_OnChanged";

            }).GetHtml()
           
               </td>
           <td style ="width: 2%">&nbsp;</td>
          <td style = "width: 2%">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "To";
     
            }).GetHtml()
         </td>
         <td style = "width: 7%">
             @Html.DevExpress().DateEdit(
                  settings =>
                {
                    settings.Name = "OrderDateTo";
                    settings.Width = 95;
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    
                }).GetHtml()
           
          </td>
          <td style ="width: 2%">&nbsp;</td>
          <td style="width: 8%">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Status POSS";
                    //label.Width = 110;
                }).GetHtml()
            </td>
    
        <td style="width: 7%">
                @Html.DevExpress().ComboBox(
                    settings =>
                           {
                               settings.Name = "StatusPOSS";
                               settings.Width = 120;
                               settings.SelectedIndex = -1;
                               settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                               settings.Properties.Items.Add("");
                               settings.Properties.Items.Add("COMPLETED");
                               settings.Properties.Items.Add("NOT COMPLETED");
                    }
                    ).GetHtml()
            </td>
        
         <td>&nbsp;</td>
         <td>&nbsp;</td>

        
    </tr>
    <tr>
    <td style = "width: 5%" >
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Order No";
                        
                    }).GetHtml()
         </td>
         
         <td style = "width: 7%"> 
            @Html.DevExpress().TextBox(
                    textbox =>
                        {
                            textbox.Name = "OrderNo";
                            textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            textbox.Width = 95;
                        }).GetHtml()
         </td>

         <td style ="width: 2%">&nbsp;</td>
         <td style = "width: 5%" >
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Part No";
                        
                    }).GetHtml()
         </td>
         
         <td style = "width: 7%"> @Html.DevExpress().TextBox(
                    textbox =>
                        {
                            textbox.Name = "PartNo";
                            textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left; 
                            textbox.Width = 95;
                        }).GetHtml()
         </td>

         <td style ="width: 2%">&nbsp;</td>
         <td style = "width: 5%" >
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Item No";
                        
                    }).GetHtml()
         </td>
         
         <td style = "width: 5%"> @Html.DevExpress().TextBox(
                    textbox =>
                        {
                            textbox.Name = "ItemNo";
                            textbox.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left; 
                            textbox.Width = 120;
                        }).GetHtml()
         </td>
    
            <td colspan="12">&nbsp;</td>
            
            <td style="width: 8%" align="right">
            @Html.DevExpress().Button(
                button =>
                    { 
                        button.Name = "cmdSearch";
                        button.Text = "Search";
                        button.Width = 80;
                        button.ClientSideEvents.Click = "OnSearch";
                        button.UseSubmitBehavior = true;
                        button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("POSSInquiry", "FTR-SPEX-110-01", "SEARCH");
                    }).GetHtml()
        </td>
        
        <td style="width: 4%" align="right">
            @Html.DevExpress().Button(
                   button=>
                      {
                          button.Name = "cmdClear";
                          button.Text = "Clear";
                          button.Width = 80;
                          button.ClientSideEvents.Click = "OnClear";
                          button.UseSubmitBehavior = true;
                          button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("POSSInquiry", "FTR-SPEX-110-01", "CLEAR");
                      }
                      ).GetHtml()
                          
       </td>
    </tr>

</table>
</div>
<div style="padding:0px;"></div>
<div class="content" style="min-height:400px">
 @Html.Partial("GridPOSSInquiry") 

</div>